Subject: Re: 2.6.14 USB vs. sleep issues

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 04 Nov 2005 08:21:16 +1100

> So this supposed to work with the USB sleep support enabled, right?
> If this works then I will be very thankful!
> I hope I have the time to test this patch this evening.
> 
> > Note that the patch is totally untested here so it may be just plain
> > bogus :)
> 
> No problem.
> 
> AIUI, this should allow me to put my PB 5,2 to sleep while a usb stick
> is mounted and come back from sleep with no problem and the stick to
> be still mounted, right?

Heh, in _theory_ :) The first aim of the patch is to remove the crash on
sleep/wakeup in 2.6.14. If it doesn't blow up, that's already a good
first step :) Wether suspend with your USB stick works is a different
matter, mostly due to the USB stack itself.

Ben.